<?php
interface OutputFormatter {
	/** the possible values for format control */
	const FC_SGL = 1; // single element
	const FC_BEG = 2; // begin of subtree (current node descends)
	const FC_END = 3; // subtree completion (current node ascends)

	public function initResult();
	public function formatElement($form_ctl, $elem = null, $value = null, $attrs = array());
	// $form_ctl: format control, see above
	// $elem: label (not for FC_END)
	// $value, if present
	// $attrs, key value pairs, e.g. "id => 1", "mod => 3"
	public function finish();
	public function printIt();
}
