<?php
require_once 'Log.php';
class Logger{
	# Singleton
	static $instance = null;

	# members
	var $pearLogger;
	
	static function getInstance() {
		if ( Logger::$instance == null ) {
			Logger::$instance = new Logger();
		}
		return Logger::$instance;
	}
	
	function __construct() {
		$this->pearLogger = Log::singleton("file", "/tmp/pear.log", "SYSAL");
	}
	
	function log( $comp, $string ) {
		$this->pearLogger->info("$comp : $string\n");
	}

	function logException( $comp, Exception $e ) {
		$this->pearLogger->err( "$comp : " . $e->getMessage() );
		$this->pearLogger->err( "$comp : " . $e->getTraceAsString() );
	}
}
?>