<?php
require_once 'util/Config.php';

// TODO auf Loader umstellen
require_once 'AlarmInterface/RemoteInterface/LoggingStub.php';
require_once 'AlarmInterface/RemoteInterface/SimpleSoapAlarming.php';

class DependencyInjector {
	
	public function inject($instance) {
		// determin class of instance
		$class = get_class($instance);
		$if_arr = Config::getInstance()->requireConfig($class);
		foreach ($if_arr as $if_nam => $if_impl) {
			// build interface instance
			$if_cls = new ReflectionClass($if_impl);
			$if = $if_cls->newInstance();
			$if_met = "set$if_nam";
			$method = new ReflectionMethod($class, $if_met);
			$method->invoke($instance, $if);
		}
	}
}